Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-52687

MongoDB 4.0 - building with Python 3

    • Type: Icon: New Feature New Feature
    • Resolution: Won't Fix
    • Priority: Icon: Major - P3 Major - P3
    • None
    • Affects Version/s: 4.0.20
    • Component/s: Build, Packaging
    • Labels:
      None
    • Dev Platform 2021-01-25

      Hello,

      in Gentoo Linux we build MongoDB from source. While MongoDB 4.0 is supported until January 2022 we cannot keep it in portage in it's current form simply because we need to get rid of Python 2 (which is EOL).

      Can please the building process be adjusted so that MongoDB 4.0 is buildable with Python 3 (3.7+)?

      Thanks

            Assignee:
            andrew.morrow@mongodb.com Andrew Morrow (Inactive)
            Reporter:
            hydrapolic hydrapolic
            Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

              Created:
              Updated:
              Resolved: